import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner


class PythonNode (harkdesigner.TestHarkDesigner):
    def test_LearningHARK001(self):
        self.zoom(3)
        self.setDisplay("Line", "Lines")

        # build main
        for node in ["AudioStreamFromMic","SaveWavePCM"]:
            self.addNode(node)
        self.reshape()
        self.connect("node_AudioStreamFromMic_1", "AUDIO",
                     "node_SaveWavePCM_1", "INPUT")

        # take a picture
        self.screenshot("png", "CB_Separation_002_2_", True)

if __name__ == "__main__":
    unittest.main()
